<?php
	
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 */
	 
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	$acc	= ( isset( $_GET['acc'] ) ) ? $_GET['acc'] : '@/@';
	
	$_boton	= 'Iniciar Sesión';
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<title>Login yPanel <?php echo idata('nombre_original') ?></title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="image/png" href="images/favicons/favicon.png"/>
	<link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="css/login/util.css">
	<link rel="stylesheet" type="text/css" href="css/login/main.css">
<!--===============================================================================================-->
</head>
<body>
	
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100">
				<form action="paneles/login/login.php" class="login100-form validate-form">
					<input type="hidden" name="token" value="<?php echo captcha(); ?>">
					<span class="login100-form-title p-b-26">
						<img src="images/logo.png" alt="yPanel de YalPublicidad.Com" style="width:50%"><br>
						<?php echo idata('nombre_original') ?>
					</span>
					<span class="login100-form-title p-b-48">
						<i class="zmdi zmdi-font"></i>
					</span>
					
					<?php 
						if( $acc == 'cuenta/recuperar' ){ 
							$_boton	= 'Enviar';
					?>
					
					<p class="p-b-25">¿Olvidaste tu contraseña? Escribe tu dirección de correo electrónico para iniciar el proceso de restablecimiento.</p>
					<div class="wrap-input100 validate-input" data-validate = "Valid email is: a@b.c">
						<input class="input100" type="email" name="email" autocomplete="off">
						<span class="focus-input100" data-placeholder="Dirección de E-Mail"></span>
					</div>
					
					<?php		
						}elseif( $acc == 'cuenta/restablecer' ) {
							$cod_psw= ( isset( $_GET['cpws'] ) ) ? $_GET['cpws'] : NULL;
							$user	= ( isset( $_GET['e'] ) ) ? strtolower( $_GET['e'] ) : NULL;
								
							if( wy_mysql_existe( "usuarios", "usuario, cod_r", "usuario='$user' AND cod_r='$cod_psw'" ) ){
								$_boton	= 'Restablecer';
					?>
					
					<div class="wrap-input100 validate-input" data-validate="Enter password">
						<span class="btn-show-pass">
							<i class="zmdi zmdi-eye"></i>
						</span>
						<input class="input100" type="password" name="pass">
						<span class="focus-input100" data-placeholder="Ingrese su nueva contraseña"></span>
					</div>
					
					<div class="wrap-input100 validate-input" data-validate="Enter password">
						<span class="btn-show-pass">
							<i class="zmdi zmdi-eye"></i>
						</span>
						<input class="input100" type="password" name="rpass">
						<span class="focus-input100" data-placeholder="Vuelva a escribir la contraseña"></span>
					</div>
					
					<?php				
							}else{
								echo '<p class="m-t-115 m-b-55">Lo sentimos, pero su autorización es inválida o la contraseña ya fue restablecida. Si necesita recuperar su contraseña vuelva a iniciar el proceso o contáctese con proveedor de servicio.</p>';
							}
						}else{ 
					?>
					<div class="wrap-input100 validate-input" data-validate = "Valid email is: a@b.c">
						<input class="input100" type="text" name="user" value="<?php echo yPanel::usuario(); ?>" autocomplete="off">
						<span class="focus-input100" data-placeholder="Usuario"></span>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Enter password">
						<span class="btn-show-pass">
							<i class="zmdi zmdi-eye"></i>
						</span>
						<input class="input100" type="password" name="pass">
						<span class="focus-input100" data-placeholder="Password"></span>
					</div>
					<?php } ?>
					
					<div class="container-login100-form-btn">
						<div class="wrap-login100-form-btn">
							<div class="login100-form-bgbtn"></div>
							<button name="bLogin" class="login100-form-btn">
								<?php echo $_boton ?>
							</button>
						</div>
					</div>
					
					<?php if( $acc == '@/@' ){ ?>
					<div class="text-center p-t-68">
						<span class="txt1">
							¿Olvidaste tu contraseña? 
						</span>

						<a class="txt2" href="?acc=recuperar">
							Click aquí
						</a>
					</div>
					<?php } ?>
					
					<div class="text-center txt-c999 fs-11 p-t-25"><a href="//www.yalpublicidad.com" class="txt-c999 fs-11" target="_blank" title="YalPublicidad.Com">&copy; <?php echo date( 'Y' ) ?> Yal Publicidad</a> &bull; yPanel</div>
				</form>
			</div>
		</div>
	</div>
	

	<div id="dropDownSelect1"></div>
	
	<script type="text/javascript" src="js/jsy-scriptv2.js"></script>
	<script type="text/javascript">
			var f = document.querySelector( ".validate-form" );
			
			<?php if( $acc == 'cuenta/recuperar' ){ ?>
			
			if( f.email.value == '' )
				f.email.focus();
				
			f.onsubmit = function(){
				emailRegex = /^[-\w.%+]{1,64}@(?:[A-Z0-9-]{1,63}\.){1,125}[A-Z]{2,63}$/i;
				
				if ( ! emailRegex.test( f.email.value ) ) {
					f.email.focus();
					MsjBox.mostrar( 'Ingresa un email válido' );
					return false;
				}
				
				return false;
			}
			<?php }elseif( $acc == 'cuenta/restablecer' ){ ?>
			
			if( f.pass.value == '' )
				f.pass.focus();
				
			f.onsubmit = function(){
				
				if ( f.pass.value != f.rpass.value ) {
					f.pass.focus();
					MsjBox.mostrar( 'Las contraseñas no coinciden' );
					return false;
				}
				
				return false;
			}
				
			<?php }else{ ?>
			
			if( f.user.value == '' )
				f.user.focus();
			else if( f.pass.value == '' )
					f.pass.focus();
					
			f.user.onblur = function(){
					if( this.value.trim() != "") {
						this.classList.add('has-val');
					}
					else {
						this.classList.remove('has-val');
					}
				}
			
			f.pass.onblur = function(){
					if( this.value.trim() != "") {
						this.classList.add('has-val');
					}
					else {
						this.classList.remove('has-val');
					}
				}   
			
			f.onsubmit = function(){				
				if( f.user.value == '' ){
					MsjBox.mostrar( 'Ingresa un usuario válido' );
					f.user.focus();
					return false;
				}
				
				if( f.pass.value.length < 6 ){
					MsjBox.mostrar( 'Ingreses una contraseña válida' );
					f.pass.focus();
					return false;
				}
				
				f.bLogin.innerHTML = 'Iniciando...';
				$ref = '<?php $ref = (!empty($_SERVER['QUERY_STRING'])) ? $_SERVER['QUERY_STRING'] : NULL; echo 'index.php?' . $ref; ?>';
				
				$y.ajax({
					url: f.action,
					metodo: 'POST',
					data: 'user=' + f.user.value + '&pass=' + f.pass.value + '&token=' + f.token.value,
					contenidoTipo: 'application/x-www-form-urlencoded',
					suceso: function(respuesta){									
									if( respuesta == 403 || respuesta == 404 ){
										MsjBox.mostrar( 'Error: ' + respuesta + '.' );
									} if( respuesta == 0){
											MsjBox.mostrar( 'No se pudo conectar con la base de datos.' );
									} if( respuesta == 3 ){
											MsjBox.mostrar( 'El usuario ingresado no se encuentra registrado.' );
									} if( respuesta == 4 ){
											MsjBox.mostrar( 'La contraseña es inválida.' );
									} if( respuesta == 5){
											MsjBox.mostrar( 'Por favor ingrese su usuario y contraseña.' );
									} if( respuesta == 6){
											MsjBox.mostrar( 'El token es incorrecto.' );
									} if( respuesta == 1){
											f.bLogin.innerHTML = '<i class="fa fa-check-circle"></i> &nbsp; Verificado...';
											MsjBox.mostrar( 'Cargando yPanel...' );
											location.href = $ref;
									}else{ f.bLogin.innerHTML = 'Iniciar Sesión'; }
											//MsjBox.mostrar('Error: ' + respuesta );
							}
				});
				
				return false;
			}
			<?php } ?>
		</script>

</body>
</html>